Bug 862322 - Normal users can't view "settings"
Normal users can't view "settings"
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 11:47 EDT by Dan Yocum
Modified: 2016-04-26 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 11:31:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2012-10-02 11:47:52 EDT
Description of problem:
Normal users are unable to navigate to the following URLS:

http://DASHBOARD_FQDN/dashboard/settings/project/
http://DASHBOARD_FQDN/dashboard/settings/ec2/


Version-Release number of selected component (if applicable):

Essex

How reproducible:

always

Steps to Reproduce:
1. navigate to URLs
2.
3.
  
Actual results:

When navigating to the first URL (i.e., settings -> Openstack Credentials), an error 500 is encountered

When navigating to the second URL (i.e., settings -> EC2 Credentials), a django "Error: Unable to retrieve tenant list" is issued and the login page is displayed.


Expected results:

The ability to download env var resource files for sourcing to use the client CLIs on a local workstation.


Additional info:
Comment 2 Matthias Runge 2012-11-06 02:58:22 EST
Thanks for the report. This is still valid for openstack dashboard in folsom release.

The following patch should at least fix an additional occurring error.
https://review.openstack.org/#/c/15439/
Comment 3 Matthias Runge 2012-11-12 15:18:29 EST
OK, finally traced that to a now fixed bug in keystone's sample data.
Comment 4 Matthias Runge 2012-12-07 07:09:42 EST
Dan, could you please do a fresh installation and confirm, this bug is fixed?

keystones demo data were changed, so a new installation is required.

Thanks.
Comment 5 Alan Pevec 2012-12-07 07:54:45 EST
Patch was https://github.com/fedora-openstack/keystone/commit/ffd7a4bbad5b43171238f586eb47b360cbc4430e
we carry it in our RPMs: Folsom openstack-keystone >= 2012.2-6.el6
Essex openstack-keystone >= 2012.1.3-3.el6
Comment 9 Dan Yocum 2012-12-18 18:10:36 EST
I updated the db per the patch and the issue has been
resolved.  This is the command I ran (all on one line):

mysql -B -e 'update keystone.endpoint set extra="{"adminurl":
"http://localhost:$(admin_port)s/v2.0", "internalurl":
"http://localhost:$(public_port)s/v2.0", "publicurl":
"http://localhost:$(public_port)s/v2.0"}" where extra="{"adminurl":
"http://localhost:$(admin_port)s/v2.0", "internalurl":
"http://localhost:$(admin_port)s/v2.0", "publicurl":
"http://localhost:$(public_port)s/v2.0"}'

Thanks,
Dan
Comment 10 Nir Magnezi 2012-12-24 09:55:38 EST
Verified With Folsom:
openstack-keystone-2012.2.1-1.el6ost.noarch
openstack-dashboard-2012.2.1-2.el6ost.noarch

Verified OK with a non-admin user with the following URLs:
http://host/dashboard/settings/
http://host/dashboard/settings/project/
http://host/dashboard/settings/ec2/

Note You need to log in before you can comment on or make changes to this bug.